ZIP_ERROR_GET(3)

NAME
zip_error_get, zip_file_error_get - get error codes for archive or file (obsolete interface)

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
void
zip_error_get(zip_t *archive, int *zep, int *sep);
void
zip_file_error_get(zip_file_t *file, int *zep, int *sep);

DESCRIPTION
The functions zip_error_get() and zip_file_error_get() are deprecated. Use zip_error_code_system(3), zip_error_code_zip(3), zip_file_get_error(3), and zip_get_error(3) instead.

For zip_error_get(), replace

    int ze, se;
    zip_error_get(za, &ze, &se);

with

    int ze, se;
    zip_error_t *error = zip_get_error(za);
    ze = zip_error_code_zip(error);
    se = zip_error_code_system(error);

For zip_file_error_get(), replace

    int ze, se;
    zip_file_error_get(zf, &ze, &se);

with

    int ze, se;
    zip_error_t *error = zip_file_get_error(zf);
    ze = zip_error_code_zip(error);
    se = zip_error_code_system(error);

SEE ALSO
libzip(3), zip_error_code_system(3), zip_error_code_zip(3), zip_file_get_error(3), zip_get_error(3)

HISTORY
zip_error_get() was added in libzip 0.6. It was deprecated in libzip 1.0, use zip_get_error(), zip_error_code_zip(), / zip_error_code_system() instead.

zip_file_error_get() was added in libzip 0.6. It was deprecated in libzip 1.0, use zip_file_get_error(), zip_error_code_zip(), / zip_error_code_system() instead.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>